# Patch Storage instance

## Patch a Storage instance.
Only the description, and privateLinkServiceConnection details are patchable.

RBAC Capability Required: `infra.storage.update`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string **Required**
- **storage_name** string **Required**

## Request

This endpoint expects an object.

- **spec** object **Optional**  
  The specification of the storage instance.  
  Discriminated by `type`. Select one variant:

- **Microsoft.Storage** object [AzureStorageSpecPatch](https://docs.mediakind.com/api-reference/media-api/schemas/azurestoragespecpatch)  
  - **description** string or null **Optional**  
    Description of the storage.  
  - **privateLinkServiceConnection** object or null [PrivateLinkServiceConnectionNullable](https://docs.mediakind.com/api-reference/media-api/schemas/privatelinkserviceconnectionnullable) **Optional**  
    Optional settings for a Private Link. Set it to null to remove the Private Link.
  - **requestMessage** string **Required**  
    A message passed to the owner of the remote resource with this connection request. This field cannot be modified, only set during creation.
  - **resourceGroupName** string **Required**  
    The name of the resource group containing the storage account. This field cannot be modified, only set during creation.
  - **storageAccountName** string **Required**  
    The name of the storage account. The full Azure ID would be '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{storageAccountName}'. This field cannot be modified, only set during creation.
  - **subscriptionId** string **Required**  
    The ID of the Azure subscription containing the storage account. This field cannot be modified, only set during creation.
  - **type** enum **Optional**  
    The type of storage. This field cannot be modified, only set during creation.  
    Allowed values: Microsoft.Storage, AWS.S3, Google.Storage

- **AWS.S3** object [AWSStorageSpecPatch](https://docs.mediakind.com/api-reference/media-api/schemas/awsstoragespecpatch)  
  - **description** string or null **Optional**  
    Description of the storage.
  - **type** enum **Optional**  
    The type of storage. This field cannot be modified, only set during creation.  
    Allowed values: Microsoft.Storage, AWS.S3, Google.Storage

- **Google.Storage** object [GoogleStorageSpecPatch](https://docs.mediakind.com/api-reference/media-api/schemas/googlestoragespecpatch)  
  - **description** string or null **Optional**  
    Description of the storage.
  - **type** enum **Optional**  
    The type of storage. This field cannot be modified, only set during creation.  
    Allowed values: Microsoft.Storage, AWS.S3, Google.Storage

## Response

- **200** Storage instance successfully updated
  - **kind** string **Optional**  
    The kind of record.
  - **metadata** object [BlobStorageMetadataSchema](https://docs.mediakind.com/api-reference/media-api/schemas/blobstoragemetadataschema) **Required**
    Metadata about the storage instance.
    - **created** string **Optional**  
      The time when the resource was created.
    - **createdBy** string **Optional**  
      ID of the user who created the resource.
    - **createdByEmail** string **Optional**  
      Email of the user who created the resource.
    - **id** string **Required**  
      The ID of the resource.
    - **name** string **Optional**  
      The name of the resource.
    - **updated** string **Optional**  
      The time when the resource was last updated.
    - **updatedBy** string **Optional**  
      ID of the user who last updated the resource.
    - **updatedByEmail** string **Optional**  
      Email of the user who last updated the resource.
    - **spec** object **Required**  
      The specification of the storage instance.

## Errors

- **400** Bad Request  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**  
    Pertinent information about the error.
    - **code** string **Required**  
      The error code.
    - **detail** string **Required**  
      The error message.
    - **extraDetail** map from strings to any **Optional**  
      Extra information regarding this error.
    - **ref** string **Required**  
      A reference to the request that caused the error.
    - **status** integer **Required**  
      The HTTP status code.
